//
//  ShopDetaileViewController.h
//  XFFruit
//
//  Created by mac on 15/8/19.
//  Copyright (c) 2015年 Xummer. All rights reserved.
//

#import "ICRBaseViewController.h"
#import "Survey.h"
#import "ShopDetail.h"
/**
 *  从哪个模块进入
 */
typedef NS_ENUM(NSInteger, ShopDetailInterType) {
    /**
     *  发运单
     */
    ShopDetailInterTypeTransport = 1,
    /**
     *  采购单
     */
    ShopDetailInterTypePurchase,
    /**
     *  转运单
     */
    ShopDetailInterTypeTranfer
};
typedef void(^ChoseShopDetail)(ShopDetail *shopDetail);
@interface ShopDetaileViewController : ICRBaseViewController
@property (nonatomic,strong)Survey *survey;
@property (nonatomic,strong)ShopDetail *shopDetail;
@property (nonatomic,strong)ChoseShopDetail choseShopDetail;
@property (nonatomic,strong)NSString *navTitle;
@property (assign, nonatomic) ShopDetailInterType intertype;

/**
 是否禁止编辑基础单价
 */
@property (assign, nonatomic) BOOL isLockBasePrice;
@end
